JACK-AUDIO-CONNECTION-KIT: uuid.h File Reference

JACK-AUDIO-CONNECTION-KIT

Loading...
Searching...
No Matches
Macros | Functions
uuid.h File Reference
`#include <jack/types.h>`

Go to the source code of this file.

## Macros
#define | JACK_UUID_SIZE 36
#define | JACK_UUID_STRING_SIZE (JACK_UUID_SIZE+1) /* includes trailing null */
#define | JACK_UUID_EMPTY_INITIALIZER 0

## Functions
jack_uuid_t | jack_client_uuid_generate ()
jack_uuid_t | jack_port_uuid_generate (uint32_t port_id)
uint32_t | jack_uuid_to_index (jack_uuid_t)
int | jack_uuid_compare (jack_uuid_t, jack_uuid_t)
void | jack_uuid_copy (jack_uuid_t *dst, jack_uuid_t src)
void | jack_uuid_clear (jack_uuid_t *)
int | jack_uuid_parse (const char *buf, jack_uuid_t *)
void | jack_uuid_unparse (jack_uuid_t, char buf[JACK_UUID_STRING_SIZE])
int | jack_uuid_empty (jack_uuid_t)

## Macro Definition Documentation

## ◆ JACK_UUID_EMPTY_INITIALIZER

#define JACK_UUID_EMPTY_INITIALIZER 0

## ◆ JACK_UUID_SIZE

#define JACK_UUID_SIZE 36

## ◆ JACK_UUID_STRING_SIZE

#define JACK_UUID_STRING_SIZE (JACK_UUID_SIZE+1) /* includes trailing null */

Referenced by jack_uuid_unparse().

## Function Documentation

## ◆ jack_client_uuid_generate()

jack_uuid_t jack_client_uuid_generate | ( |  | ) |
| extern

## ◆ jack_port_uuid_generate()

jack_uuid_t jack_port_uuid_generate | ( | uint32_t | port_id | ) |
| extern

## ◆ jack_uuid_clear()

void jack_uuid_clear | ( | jack_uuid_t * |  | ) |
| extern

## ◆ jack_uuid_compare()

int jack_uuid_compare | ( | jack_uuid_t | ,
|  | jack_uuid_t | )
| extern

## ◆ jack_uuid_copy()

void jack_uuid_copy | ( | jack_uuid_t * | dst,
|  | jack_uuid_t | src )
| extern

## ◆ jack_uuid_empty()

int jack_uuid_empty | ( | jack_uuid_t |  | ) |
| extern

## ◆ jack_uuid_parse()

int jack_uuid_parse | ( | const char * | buf,
|  | jack_uuid_t * | )
| extern

## ◆ jack_uuid_to_index()

uint32_t jack_uuid_to_index | ( | jack_uuid_t |  | ) |
| extern

## ◆ jack_uuid_unparse()

void jack_uuid_unparse | ( | jack_uuid_t | ,
|  | char | buf[JACK_UUID_STRING_SIZE] )
| extern

References JACK_UUID_STRING_SIZE.